#include <curl/curl.h>

#include <iostream>
#include <conio.h>
#include <vector>
#include <stdlib.h>
#include <string>
#include "histogram.h"
#include "text.h"
#include "svg01.h"

using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& in, bool prompt){


    size_t number_count;
    if (prompt){
        cerr << "Enter number count: ";
    }
    in >> number_count;

    Input iinn;

    iinn.numbers.resize(number_count);
    if (prompt){
        cerr << "Enter numbers: " << endl;
    }
    for (size_t i=0; i < number_count; i++)
    {
        in >> iinn.numbers[i];

    }

    if (prompt){
        cerr << "Enter bin count: ";
    }
    in >> iinn.bin_count;

    return iinn;
}

int main()
{
    curl_global_init(CURL_GLOBAL_ALL);

    Input iinn = input_data(cin, true);
    std::vector<size_t> bins = make_histogram(iinn.numbers, iinn.bin_count);
    show_histogram_svg(bins);
    return 0;
}
